<testsuites>
  <!--Report is generated by Rally 1.5.1 at 2020-08-16T20:56:50-->
  <testsuite errors="0" failures="0" id="d6a84d08-2a8c-434a-a255-1cf1b7f0481f" skipped="0" tests="27" time="3.916" timestamp="2020-08-16T20:56:34">
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_identity_providers.IndentityProvidersTest" id="f5bdf482-1ad3-4aad-b52e-8fe7c1361104" name="test_add_protocol_to_identity_provider" time="0.364" timestamp="2020-08-16T20:56:38+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_mapping_rules.MappingRulesTest" id="1fc5d104-faf5-4809-8c89-29b5c1666a96" name="test_mapping_rule_update" time="0.245" timestamp="2020-08-16T20:56:38+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_mapping_rules.MappingRulesTest" id="4ca48c01-b6da-4759-acb6-007e15ad712a" name="test_mapping_rules_create" time="0.076" timestamp="2020-08-16T20:56:38+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_mapping_rules.MappingRulesTest" id="341dac45-ce1f-4f15-afdc-1f9a7d7d7c40" name="test_mapping_rules_create_without_mandatory_attributes_fails" time="0.041" timestamp="2020-08-16T20:56:38+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_identity_providers.IndentityProvidersTest" id="04fdf262-af91-4a68-a1cf-794c6d2f2eeb" name="test_add_protocol_to_identity_provider_unknown_mapping" time="0.194" timestamp="2020-08-16T20:56:39+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_identity_providers.IndentityProvidersTest" id="613d073b-0db7-41aa-b4df-5a1848cde0b3" name="test_get_protocol_from_identity_provider" time="0.317" timestamp="2020-08-16T20:56:39+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_identity_providers.IndentityProvidersTest" id="09450910-b816-4150-8513-a2fd4628a0c3" name="test_identity_provider_create" time="0.174" timestamp="2020-08-16T20:56:39+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_mapping_rules.MappingRulesTest" id="8db213e3-1db0-48c6-863c-7a3ed23577ec" name="test_mapping_rules_get" time="0.175" timestamp="2020-08-16T20:56:39+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_mapping_rules.MappingRulesTest" id="bb80b242-2a6a-4d29-b45f-4035be574a6e" name="test_mapping_rules_list" time="0.380" timestamp="2020-08-16T20:56:39+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_service_providers.ServiceProvidersTest" id="6fae0971-5acb-4559-ba25-96f1fd7e5385" name="test_service_provider_create" time="0.177" timestamp="2020-08-16T20:56:39+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_service_providers.ServiceProvidersTest" id="f77ed1c0-c428-44a7-9364-e8e4362c360a" name="test_service_provider_create_with_bad_attributes" time="0.061" timestamp="2020-08-16T20:56:39+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_service_providers.ServiceProvidersTest" id="8550b419-f212-4e34-a8fa-7ff64f8a7fd3" name="test_service_provider_create_with_enabled_true" time="0.071" timestamp="2020-08-16T20:56:39+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_service_providers.ServiceProvidersTest" id="0e319a14-1548-474e-a406-273c6b1c1f2d" name="test_service_provider_create_with_relay_state_prefix" time="0.071" timestamp="2020-08-16T20:56:39+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_service_providers.ServiceProvidersTest" id="d9d7454c-50b7-4966-aedb-b9d520a41409" name="test_service_provider_create_without_mandatory_attributes" time="0.090" timestamp="2020-08-16T20:56:39+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_service_providers.ServiceProvidersTest" id="7df78c7a-9265-4b4f-9630-193b7f07d9eb" name="test_service_provider_get" time="0.112" timestamp="2020-08-16T20:56:39+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_service_providers.ServiceProvidersTest" id="9237cea0-fbeb-4d64-8347-46c567e1d78f" name="test_service_provider_list" time="0.311" timestamp="2020-08-16T20:56:39+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_service_providers.ServiceProvidersTest" id="bb68653f-fbba-4f20-ac1b-7b318a557366" name="test_service_provider_update" time="0.278" timestamp="2020-08-16T20:56:39+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_identity_providers.IndentityProvidersTest" id="f430a337-545d-455e-bb6c-cb0fdf4be5c1" name="test_identity_provider_create_with_enabled_true" time="0.137" timestamp="2020-08-16T20:56:40+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_identity_providers.IndentityProvidersTest" id="238e6163-d600-4f59-9982-c621f057221d" name="test_identity_provider_create_with_remote_ids" time="0.166" timestamp="2020-08-16T20:56:40+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_identity_providers.IndentityProvidersTest" id="8a7817ad-27f8-436b-9cbe-46aa20989beb" name="test_identity_provider_get" time="0.202" timestamp="2020-08-16T20:56:40+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_identity_providers.IndentityProvidersTest" id="cbfe5de9-c58a-4810-950c-2acdf985879d" name="test_identity_provider_list" time="0.468" timestamp="2020-08-16T20:56:40+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_service_providers.ServiceProvidersTest" id="91ce1183-1a15-4598-ae5f-85cfa98a1c77" name="test_service_provider_update_with_bad_attributes_fails" time="0.281" timestamp="2020-08-16T20:56:40+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_service_providers.ServiceProvidersTest" id="7553579b-9a9e-45dd-9ada-70d906b516c0" name="test_service_providers_in_token" time="0.495" timestamp="2020-08-16T20:56:40+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_identity_providers.IndentityProvidersTest" id="36a0d9f0-9517-4139-85d0-f78d905aece5" name="test_identity_provider_update" time="0.247" timestamp="2020-08-16T20:56:41+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_identity_providers.IndentityProvidersTest" id="6e6501ac-edae-4dc2-bb68-7a2b58602383" name="test_list_protocols_from_identity_provider" time="0.531" timestamp="2020-08-16T20:56:41+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_identity_providers.IndentityProvidersTest" id="680d36df-d6b9-4695-be29-6fc2065c5dde" name="test_update_mapping_from_identity_provider_protocol" time="0.348" timestamp="2020-08-16T20:56:41+0000" />
    <testcase classname="keystone_tempest_plugin.tests.api.identity.v3.test_identity_providers.IndentityProvidersTest" id="c73311e7-c207-4c11-998f-532a91f1b0d1" name="test_update_protocol_from_identity_provider_unknown_mapping" time="0.341" timestamp="2020-08-16T20:56:42+0000" />
  </testsuite>
</testsuites>
